Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008673 [DCSS] Bug Report crash sometimes 2014-06-11 15:42 2014-08-14 22:23
Reporter patheticliltramp View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.14 ancient branch
Summary 0008673: Crash in Shoals when trying to rest in fear state
Description I was a MiBe in Shoals, I went down to Shoals 5 and was beset by a satyr who inflicted me with fear. To avoid the situation, I scuttled back up the steps and tried to rest the fear off and also try another stair. As you can see in the screenshot, the fear status was still in effect. I hit 5 to rest and then the error popped up:

ASSERT(duration[DUR_AFRAID] > 0 == !fearmongers.empty()) in fearmonger.cc at line 54 failed.

I tried to go back to the game and got the same issue a second time, though I believe I was able to hit 5 twice before I got the error the second time.

This crashed the game both times.
Additional Information
Tags No tags attached.
Attached Files jpg file icon assert-fear-failed.jpg [^] (107,637 bytes) 2014-06-11 15:42
txt file icon crash-TheERADICATOR-20140529-081754.txt [^] (50,675 bytes) 2014-06-11 15:43 [Show Content]
txt file icon crash-TheERADICATOR-20140529-081858.txt [^] (50,863 bytes) 2014-06-11 15:43 [Show Content]

- Relationships

-  Notes
(0026469)
PleasingFungus (administrator)
2014-06-12 02:51

I can reproduce weird behaviour that's kind of like this in 0.14 - going up stairs while afraid & next to a water nymph, I end up afraid of the nymph (!), which is very odd. (And certainly seems like it might be related to your crash.) This doesn't work while going down stairs, and it doesn't work at all in 0.15, as far as I can tell.

It may be related to a clear_fearmongers() call that occurs in down_stairs(), but not up_stairs().
(0027008)
neil (administrator)
2014-08-14 22:22

This should be fixed in trunk (0.16-a0-137-gc7bde63) and prerelease (0.15-b1-71-g5463ceb). Please reopen if it recurs.

- Issue History
Date Modified Username Field Change
2014-06-11 15:42 patheticliltramp New Issue
2014-06-11 15:42 patheticliltramp File Added: assert-fear-failed.jpg
2014-06-11 15:43 patheticliltramp File Added: crash-TheERADICATOR-20140529-081754.txt
2014-06-11 15:43 patheticliltramp File Added: crash-TheERADICATOR-20140529-081858.txt
2014-06-12 02:51 PleasingFungus Note Added: 0026469
2014-08-14 22:22 neil Note Added: 0027008
2014-08-14 22:22 neil Status new => resolved
2014-08-14 22:22 neil Fixed in Branch => 0.15 prerelease branch
2014-08-14 22:22 neil Resolution open => done
2014-08-14 22:22 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker